9b5791b4c643a5fcad7253db535d93fb633572a4
[libmpdclient-debian.git] / debian / changelog
1 libmpdclient (2.11-1) UNRELEASED; urgency=medium
2
3   * New upstream version.
4   * Update standards version to 4.1.1:
5     - Update to debhelper compat version 10.
6     - Use priority "optional" in place of deprecated "extra".
7
8  -- Sebastian Harl <tokkee@debian.org>  Sun, 22 Oct 2017 13:10:25 +0200
9
10 libmpdclient (2.9-1) unstable; urgency=low
11
12   * New upstream release (Closes: #671094).
13   * debian/libmpdclient-dev.install:
14     - Install the vapi file.
15   * debian/libmpdclient2.symbols:
16     - Updated for new upstream version.
17   * debian/rules:
18     - Split build target into build-arch and build-indep.
19     - Use dpkg-buildflags to get CPPFLAGS and CFLAGS.
20     - Use dh_autotools-dev* to update config.{sub,guess}; thanks to Matthias
21       Klose for reporting and suggesting this (Closes: #727416).
22   * debian/control:
23     - Updated standards-version to 3.9.4.
24
25  -- Sebastian Harl <tokkee@debian.org>  Sat, 23 Nov 2013 19:53:49 +0100
26
27 libmpdclient (2.3-1) unstable; urgency=low
28
29   * New upstream release.
30     - Do not try to install GIF files from doc/api/html/ if none are available
31       (doxygen no longer creates any GIF files since version 1.7 or so)
32       (Closes: #590397).
33   * debian/control:
34     - Updated standards-version to 3.9.1 -- no changes.
35   * debian/libmpdclient2.symbols:
36     - Updated for 2.3.
37
38  -- Sebastian Harl <tokkee@debian.org>  Thu, 29 Jul 2010 20:39:38 +0200
39
40 libmpdclient (2.2-1) unstable; urgency=low
41
42   * New upstream release.
43   * debian/libmpdclient2.symbols:
44     - Updated for 2.2.
45   * debian/control:
46     - Updated to standards-version 3.8.4 -- no changes.
47     - Let all packages depend on ${misc:Depends}, as suggested by debhelper.
48   * debian/rules:
49     - Let dh_makeshlibs create a dependency on libmpdclient2 >= 2.2, which is
50       required since new functionality has been added.
51
52  -- Sebastian Harl <tokkee@debian.org>  Wed, 09 Jun 2010 18:44:12 +0200
53
54 libmpdclient (2.1-1) unstable; urgency=low
55
56   * New upstream release.
57   * debian/libmpdclient2.symbols:
58     - Updated for 2.1.
59   * debian/rules:
60     - Run 'make check' unless the nocheck option has been specified in
61       DEB_BUILD_OPTIONS.
62
63  -- Sebastian Harl <tokkee@debian.org>  Sun, 27 Dec 2009 00:09:08 +0100
64
65 libmpdclient (2.0-1) unstable; urgency=low
66
67   * Initial release (Closes: #549646).
68
69  -- Sebastian Harl <tokkee@debian.org>  Thu, 22 Oct 2009 00:51:34 +0200
70